require 'rails/generators/active_record'

module Pog
  module Generators
    class PogModelGenerator < Rails::Generators::Base

      source_root File.expand_path('../templates', __FILE__)

      # copy the pog file into app/models if it
      # does not already exist
      def create_pog_handler_model
        if Dir.glob("app/models/pog.rb").empty?
          copy_file "pog.rb", "app/models/pog.rb"
        else
          puts "Model for Pog already exists."
        end
      end

    end
  end
end